GET api/v1/usedcouponcodes?Limit={Limit}&Offset={Offset}&OrderBy={OrderBy}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| Limit | integer |
None. |
|
| Offset | integer |
None. |
|
| OrderBy | string |
None. |
Body Parameters
None.
Response Information
Resource Description
MultiResultResponseOfUsedCouponCodeDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Meta | MetaMultiResult |
None. |
|
| Notifications |
None. |
Response Formats
application/json, text/json
Sample:
{
"meta": {
"limit": 1,
"offset": 2,
"totalResults": 3
},
"notifications": [
{},
{}
],
"results": [
{
"id": "96758d28-a25c-4b37-8fb1-edc94d10311c",
"value": "sample string 1",
"promotionCode": "sample string 2",
"customerId": "ee5f4f4a-9106-4df7-9a8b-513fe0f5b324",
"sellerId": "b3cc3aa4-4cc4-48a3-be0e-6d316cd50183",
"customerFirstName": "sample string 3",
"customerLastName": "sample string 4",
"customerDni": "sample string 5",
"promotionTitle": "sample string 6",
"promotionBeginDate": "2026-10-22T14:42:53.7079952+00:00",
"promotionEndDate": "2026-10-22T14:42:53.7079952+00:00",
"creationDate": "2026-10-22T14:42:53.7079952+00:00",
"serviceDate": "2026-10-22T14:42:53.7079952+00:00",
"comments": "sample string 8"
},
{
"id": "96758d28-a25c-4b37-8fb1-edc94d10311c",
"value": "sample string 1",
"promotionCode": "sample string 2",
"customerId": "ee5f4f4a-9106-4df7-9a8b-513fe0f5b324",
"sellerId": "b3cc3aa4-4cc4-48a3-be0e-6d316cd50183",
"customerFirstName": "sample string 3",
"customerLastName": "sample string 4",
"customerDni": "sample string 5",
"promotionTitle": "sample string 6",
"promotionBeginDate": "2026-10-22T14:42:53.7079952+00:00",
"promotionEndDate": "2026-10-22T14:42:53.7079952+00:00",
"creationDate": "2026-10-22T14:42:53.7079952+00:00",
"serviceDate": "2026-10-22T14:42:53.7079952+00:00",
"comments": "sample string 8"
}
]
}
application/xml, text/xml
Sample:
<MultiResultResponseOfUsedCouponCodeDtoaM_S85dVU xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Presentation.WebApi.Dtos.Response">
<Meta>
<Limit>1</Limit>
<Offset>2</Offset>
<TotalResults>3</TotalResults>
</Meta>
<Notifications>
<Notification />
<Notification />
</Notifications>
<Results xmlns:d2p1="http://schemas.datacontract.org/2004/07/Domain.Dtos">
<d2p1:UsedCouponCodeDto>
<d2p1:Comments>sample string 8</d2p1:Comments>
<d2p1:CreationDate>2026-10-22T14:42:53.7079952+00:00</d2p1:CreationDate>
<d2p1:CustomerDni>sample string 5</d2p1:CustomerDni>
<d2p1:CustomerFirstName>sample string 3</d2p1:CustomerFirstName>
<d2p1:CustomerId>ee5f4f4a-9106-4df7-9a8b-513fe0f5b324</d2p1:CustomerId>
<d2p1:CustomerLastName>sample string 4</d2p1:CustomerLastName>
<d2p1:Id>96758d28-a25c-4b37-8fb1-edc94d10311c</d2p1:Id>
<d2p1:PromotionBeginDate>2026-10-22T14:42:53.7079952+00:00</d2p1:PromotionBeginDate>
<d2p1:PromotionCode>sample string 2</d2p1:PromotionCode>
<d2p1:PromotionEndDate>2026-10-22T14:42:53.7079952+00:00</d2p1:PromotionEndDate>
<d2p1:PromotionTitle>sample string 6</d2p1:PromotionTitle>
<d2p1:SellerId>b3cc3aa4-4cc4-48a3-be0e-6d316cd50183</d2p1:SellerId>
<d2p1:ServiceDate>2026-10-22T14:42:53.7079952+00:00</d2p1:ServiceDate>
<d2p1:Value>sample string 1</d2p1:Value>
</d2p1:UsedCouponCodeDto>
<d2p1:UsedCouponCodeDto>
<d2p1:Comments>sample string 8</d2p1:Comments>
<d2p1:CreationDate>2026-10-22T14:42:53.7079952+00:00</d2p1:CreationDate>
<d2p1:CustomerDni>sample string 5</d2p1:CustomerDni>
<d2p1:CustomerFirstName>sample string 3</d2p1:CustomerFirstName>
<d2p1:CustomerId>ee5f4f4a-9106-4df7-9a8b-513fe0f5b324</d2p1:CustomerId>
<d2p1:CustomerLastName>sample string 4</d2p1:CustomerLastName>
<d2p1:Id>96758d28-a25c-4b37-8fb1-edc94d10311c</d2p1:Id>
<d2p1:PromotionBeginDate>2026-10-22T14:42:53.7079952+00:00</d2p1:PromotionBeginDate>
<d2p1:PromotionCode>sample string 2</d2p1:PromotionCode>
<d2p1:PromotionEndDate>2026-10-22T14:42:53.7079952+00:00</d2p1:PromotionEndDate>
<d2p1:PromotionTitle>sample string 6</d2p1:PromotionTitle>
<d2p1:SellerId>b3cc3aa4-4cc4-48a3-be0e-6d316cd50183</d2p1:SellerId>
<d2p1:ServiceDate>2026-10-22T14:42:53.7079952+00:00</d2p1:ServiceDate>
<d2p1:Value>sample string 1</d2p1:Value>
</d2p1:UsedCouponCodeDto>
</Results>
</MultiResultResponseOfUsedCouponCodeDtoaM_S85dVU>